Constant
Contact
API Guide

Delete a Segment

Make a DELETE call to the /segments/{segment_id} endpoint to delete a segment from your account.

Before deleting a segment, verify that the segment is not associated with a scheduled campaign.

Deleted segments do not display in the results when using the GET /segments endpoint. If you know the segment_id, you can use the GET /segments/{segment_id} endpoint to view the deleted segment's details. A segment's details are preserved for external reference purposes, such as displaying the segment name in the campaign's history.

Authorization Requirements

User privileges: contacts:lists:writeAuthorization scopes: contact_data

Parameters

In the path parameter, specify the segment_id for the segment that you want to delete. A 204 message is returned if the segment is successfully deleted from your account. If the segment_id does not exist for the account, a 404 error response is returned.

Example DELETE Segment Request

DELETE
https://api.cc.email/v3/segments/{segment_id}
 
OkHttpClient client = new OkHttpClient();

Request request = new Request.Builder()
  .url("https://api.cc.email/v3/segments/12")
  .delete()
  .addHeader("Content-Type", "application/json")
  .addHeader("Authorization", "Bearer {access_token}")
  .addHeader("Accept", "*/*")
  .addHeader("Cache-Control", "no-cache")
  .addHeader("Host", "host_name.com")
  .addHeader("Accept-Encoding", "gzip, deflate")
  .addHeader("Content-Length", "")
  .addHeader("Connection", "keep-alive")
  .addHeader("cache-control", "no-cache")
  .build();

Response response = client.newCall(request).execute();
Try it!

On this page